<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>de.addideas.regextools</groupId>
  <artifactId>java-regex-engine</artifactId>
  <version>0.1.0</version>
  <packaging>jar</packaging>

  <properties>
    <maven.compiler.release>11</maven.compiler.release>
    <project.build.outputTimestamp>2026-06-06T15:27:10Z</project.build.outputTimestamp>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <teavm.version>0.15.0</teavm.version>
  </properties>

  <dependencies>
    <dependency>
      <groupId>org.teavm</groupId>
      <artifactId>teavm-classlib</artifactId>
      <version>${teavm.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.teavm</groupId>
      <artifactId>teavm-jso</artifactId>
      <version>${teavm.version}</version>
      <scope>provided</scope>
    </dependency>
  </dependencies>

  <build>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-clean-plugin</artifactId>
        <version>3.4.1</version>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.13.0</version>
        <configuration>
          <release>${maven.compiler.release}</release>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-jar-plugin</artifactId>
        <version>3.4.2</version>
        <configuration>
          <outputTimestamp>${project.build.outputTimestamp}</outputTimestamp>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.teavm</groupId>
        <artifactId>teavm-maven-plugin</artifactId>
        <version>${teavm.version}</version>
        <executions>
          <execution>
            <id>java-regex-browser-engine</id>
            <goals>
              <goal>compile</goal>
            </goals>
            <configuration>
              <mainClass>de.addideas.regextools.javaengine.RegexBridge</mainClass>
              <targetDirectory>${project.build.directory}/generated</targetDirectory>
              <targetFileName>java-regex.mjs</targetFileName>
              <targetType>JAVASCRIPT</targetType>
              <jsModuleType>ES2015</jsModuleType>
              <minifying>true</minifying>
              <optimizationLevel>ADVANCED</optimizationLevel>
              <debugInformationGenerated>false</debugInformationGenerated>
              <sourceMapsGenerated>false</sourceMapsGenerated>
              <sourceFilesCopied>false</sourceFilesCopied>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
